Bug 1204464 - recollindex must use /var/tmp by default
Summary: recollindex must use /var/tmp by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-22 10:12 UTC by Richard Z.
Modified: 2015-05-26 03:38 UTC (History)
2 users (show)

Fixed In Version: recoll-1.20.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:23:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Z. 2015-03-22 10:12:25 UTC
The 1GB limit of /tmp will cause indexing failures and random system failures when other processes are unable to use /tmp

Opened an upstream ticket 
  https://bitbucket.org/medoc/recoll/issue/229/should-use-var-tmp-instead-of-tmp-for

but I believe it is more fedora specific.

Comment 1 Terje Røsten 2015-03-22 10:17:52 UTC
/tmp is set to tmpfs with size = (total RAM) / 2

For low end systems /tmp might be too small, you can disable /tmp as tmpfs
feature with:

  systemctl mask tmp.mount

See: http://fedoraproject.org/wiki/Features/tmp-on-tmpfs

Comment 2 Richard Z. 2015-03-22 10:44:45 UTC
There is no limit to the size of tarballs that recollindex will try to unpack and index so it could fail even on much larger systems.

Also, somewhere I read that programs should not assume that more than 1GB is available?

Comment 3 Richard Z. 2015-03-23 12:58:50 UTC
What happened in my case:

recoll sees a file "samsung32.image.bz2" which is a compressed image of a 32GB MicroSDHC card. Recoll will hapilly uncompress it in /tmp.

Apparently this could bring down even high end machines if done on tmpfs and there is no limit how much space recoll may need.

Meanwhile upstream says that there is the (currently undocumented) $RECOLL_TMPDIR and wont fix it.

I am not even sure if /var/tmp is suitable, mine is on root and does not have
terrabytes of storage.

Comment 4 Terje Røsten 2015-04-07 19:10:47 UTC
On my systems /var is far less than 32GB any way, it's ~ 5GB. 
I don't see any quick fix here. Using /tmp as default seems sane to me.

Comment 5 Fedora Update System 2015-05-06 17:44:18 UTC
recoll-1.20.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc20

Comment 6 Fedora Update System 2015-05-06 17:44:27 UTC
recoll-1.20.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc21

Comment 7 Fedora Update System 2015-05-06 17:44:36 UTC
recoll-1.20.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc22

Comment 8 Fedora Update System 2015-05-10 23:41:56 UTC
Package recoll-1.20.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7819/recoll-1.20.6-1.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-05-19 16:23:45 UTC
recoll-1.20.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-19 16:27:32 UTC
recoll-1.20.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-26 03:38:52 UTC
recoll-1.20.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.